package com.bomostory.sceneeditmodule.screen.view

import android.content.Context
import android.graphics.*
import android.support.constraint.ConstraintLayout
import android.util.AttributeSet
import android.view.MotionEvent
import android.view.View

class PaintView: ConstraintLayout , View.OnTouchListener{

    var paint = Paint()
    private var points = ArrayList<Point>()
    constructor(context: Context) : super(context)


    constructor(context: Context, attrs: AttributeSet) : super(context, attrs)


    constructor(context: Context, attrs: AttributeSet, defStyle: Int) : super(context, attrs, defStyle)


    override fun onTouch(v: View?, event: MotionEvent): Boolean {
        val point = Point()
        point.x = event.getX().toInt()
        point.y = event.getY().toInt()
        points.add(point)
        invalidate()
        return true
    }
    override fun onDraw(canvas: Canvas?) {
        super.onDraw(canvas)
        val mPaint = Paint()
        mPaint.style = Paint.Style.FILL
        mPaint.strokeWidth = 5f
        mPaint.isAntiAlias = true
        mPaint.color = Color.parseColor("#4e342e")
        for (point in points) {
            canvas?.drawCircle(point.x.toFloat(), point.y.toFloat(), 5f, mPaint)
        }
    }
}